# TdApi.PaymentReceipt (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: PaymentReceipt

Package it.tdlight.jni

# Class TdApi.PaymentReceipt

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PaymentReceipt

Enclosing class:
  TdApi

    public static class TdApi.PaymentReceipt
    extends TdApi.Object

Contains information about a successful payment.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String` | `credentialsTitle` | Title of the saved credentials chosen by the buyer.
`int` | `date` | Point in time (Unix timestamp) when the payment was made.
`String` | `description` | Product description.
`TdApi.Invoice` | `invoice` | Contains information about the invoice.
`TdApi.OrderInfo` | `orderInfo` | Order information; may be null.
`long` | `paymentsProviderUserId` | User identifier of the payment provider bot.
`TdApi.Photo` | `photo` | Product photo; may be null.
`long` | `sellerBotUserId` | User identifier of the seller bot.
`TdApi.ShippingOption` | `shippingOption` | Chosen shipping option; may be null.
`long` | `tipAmount` | The amount of tip chosen by the buyer in the smallest units of the currency.
`String` | `title` | Product title.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PaymentReceipt()` | Contains information about a successful payment.
`PaymentReceipt​(DataInput input)` |
`PaymentReceipt​(String title, String description, TdApi.Photo photo, int date, long sellerBotUserId, long paymentsProviderUserId, TdApi.Invoice invoice, TdApi.OrderInfo orderInfo, TdApi.ShippingOption shippingOption, String credentialsTitle, long tipAmount)` | Contains information about a successful payment.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### title

public String title
Product title.

### description

public String description
Product description.

### photo

public TdApi.Photo photo
Product photo; may be null.

### date

public int date
Point in time (Unix timestamp) when the payment was made.

### sellerBotUserId

public long sellerBotUserId
User identifier of the seller bot.

### paymentsProviderUserId

public long paymentsProviderUserId
User identifier of the payment provider bot.

### invoice

public TdApi.Invoice invoice
Contains information about the invoice.

### orderInfo

public TdApi.OrderInfo orderInfo
Order information; may be null.

### shippingOption

public TdApi.ShippingOption shippingOption
Chosen shipping option; may be null.

### credentialsTitle

public String credentialsTitle
Title of the saved credentials chosen by the buyer.

### tipAmount

public long tipAmount
The amount of tip chosen by the buyer in the smallest units of the currency.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### PaymentReceipt

public PaymentReceipt()
Contains information about a successful payment.

### PaymentReceipt

public PaymentReceipt​(String title, String description, TdApi.Photo photo, int date, long sellerBotUserId, long paymentsProviderUserId, TdApi.Invoice invoice, TdApi.OrderInfo orderInfo, TdApi.ShippingOption shippingOption, String credentialsTitle, long tipAmount)
Contains information about a successful payment.

Parameters:
  `title` - String Product title.
  `description` - String Product description.
  `photo` - Photo Product photo; may be null.
  `date` - int Point in time (Unix timestamp) when the payment was made.
  `sellerBotUserId` - long User identifier of the seller bot.
  `paymentsProviderUserId` - long User identifier of the payment provider bot.
  `invoice` - Invoice Contains information about the invoice.
  `orderInfo` - OrderInfo Order information; may be null.
  `shippingOption` - ShippingOption Chosen shipping option; may be null.
  `credentialsTitle` - String Title of the saved credentials chosen by the buyer.
  `tipAmount` - long The amount of tip chosen by the buyer in the smallest units of the currency.

### PaymentReceipt

public PaymentReceipt​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`